%define name BerkeleyDB
%define version 2.7.7
%define release 6mdk

Summary: BSD database library for C
Name: %name
Version: %version
Release: %release

Source: http://www.sleepycat.com/update/2.7.7/db-%{version}.tar.bz2
Patch0: %name-%version.patch.bz2
URL: http://ftp.ost.eltele.no/pub/db/ 
License: BSD
Group: System/Libraries
PreReq: /sbin/ldconfig
BuildRoot: %_tmppath/%name-buildroot

%package devel
Summary: Development libraries and header files for Berkeley database library
Group: Development/C
Requires: %name = %version

%description
The Berkeley Database (Berkeley DB) is a programmatic toolkit that provides
embedded database support for both traditional and client/server applications.
This library used to be part of the glibc package.

%description devel
The Berkeley Database (Berkeley DB) is a programmatic toolkit that provides
embedded database support for both traditional and client/server applications.
Berkeley DB includes B tree, Hashing, Fixed and Variable-length
record access methods.

This package contains the header files, libraries, and documentation for
building programs which use Berkeley DB.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n db-%version
%patch -p1 

cd build_unix
../dist/configure --prefix=%_prefix --enable-test --enable-diagnostic --disable-bigfile --enable-compat185 --enable-cxx

%build
cd build_unix
CFLAGS="$RPM_OPT_FLAGS" make

%install
rm -rf $RPM_BUILD_ROOT

cd build_unix
make prefix=$RPM_BUILD_ROOT%_prefix install 

mkdir -p $RPM_BUILD_ROOT%_prefix/{include/BerkeleyDB,lib/BerkeleyDB,sbin}
mv $RPM_BUILD_ROOT%_includedir/db{_,.}* $RPM_BUILD_ROOT%_includedir/%name
mv $RPM_BUILD_ROOT%_libdir/lib* $RPM_BUILD_ROOT%_libdir/%name
ln -sf %_libdir/%name/libdb.a $RPM_BUILD_ROOT%_libdir/libdb.a

ln -sf %_includedir/%name/db_185.h $RPM_BUILD_ROOT%_includedir/db_185.h 
mv $RPM_BUILD_ROOT%_bindir/* $RPM_BUILD_ROOT%_sbindir/
rm -rf $RPM_BUILD_ROOT%_bindir/

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README LICENSE
%_mandir/*/*/*

%files devel
%defattr(-,root,root)
%_libdir/*
%_includedir/*
%_sbindir/*

%changelog
* Sat Aug 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.7.7-6mdk
- back by popular demand :)
- rebuild

* Mon Jan 01 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.7.7-5mdk
- some cleanings

* Tue Nov 28 2000 Florin Grad <florin@mandrakesoft.com> 2.7.7-4mdk
- added /usr/include/lib_185.h symlink required for coda compil

* Tue Nov 21 2000 Florin Grad <florin@mandrakesoft.com> 2.7.7-2mdk
- added the /usr/lib/libdb.a symlink required for coda compil

* Tue Nov 21 2000 Florin Grad <florin@mandrakesoft.com> 2.7.7-1mdk
- remove conflicts with db2-2.4.14 from the main distrib
- i.e change the package name, etc

* Fri Sep 15 2000 Florin Grad <florin@mandrakesoft.com> 2.7.7-1mdk
- mandrake adaptions

* Fri Jul 14 2000 Jeff Johnson <jbj@redhat.com>
- remove "strip -R comment" from spec file, rely on brp-* instead.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jun 28 2000 Matt Wilson <msw@redhat.com>
- regenerated the db2.patch to link against -ldb2, not -ldb

* Mon May  8 2000 Jeff Johnson <jbj@redhat.com>
- Rename files (like db1) to prepare for db3 deployment.
- Change version to reflect Berkeley db rather than glibc distribution.

* Thu Apr 27 2000 Jakub Jelinek <jakub@redhat.com>
- Don't provide makedb, it is provided by glibc.

* Wed Apr 20 2000 Jakub Jelinek <jakub@redhat.com>
- Create.
